Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 4.3.12SynchronousAuth Required

GetHostResourceAllocation

GetHostResourceAllocation

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The host UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • strategyStringRequired

      The resource allocation policy.

    • sceneStringRequired

      The scene type.

    • vcpuStringRequired

      The number of vCPUs that need to be allocated to a VM instance.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • nameStringRequired

    The resource name.

  • uuidStringRequired

    The resource UUID.

  • vCPUPinarray[json]Required

    The CPU pinning. For more information, see CPU Pin.

Endpoint

POST/zstack/v1/hosts/{uuid}/resource-allocation

/zstack/v1/hosts/{uuid}/resource-allocation

Operation ID

GetHostResourceAllocation

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/{uuid}/resource-allocation' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"strategy":"<strategy>","scene":"<scene>","vcpu":"<vcpu>"}}'

Response Example

200
{ "name": "example", "uuid": "f7bae73b9874344b8766dfcdda48ad6e", "vCPUPin": [ { "vCPU": "0", "pCPU": "13" }, { "vCPU": "1", "pCPU": "12" }, { "vCPU": "2", "pCPU": "11" }, { "vCPU": "3", "pCPU": "10" }, { "vCPU": "4", "pCPU": "9" }, { "vCPU": "5", "pCPU": "8" } ] }

Change History

This API has no change history records yet.

View all change history